Subject: Re: [PATCH v3] veth: Drop MTU check when forwarding packets

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Thu, 08 Aug 2024 12:21:52 +0200

Duan Jiong <[email-masked]> writes:

> Now there are veth device pairs, one vethA on the host side and one
> vethB on the container side, when vethA sends data to vethB, at this
> time if vethB is configured with a smaller MTU then the data will be
> discarded, at this time there is no problem for the data to be
> received in my opinion, and I would like it to be so. When vethB sends
> data, the kernel stack is sharded according to the MTU of vethB.

Well, yes, if the MTU is too small, the packet will be dropped. That's
what the MTU setting is for :)

If you want to send bigger packets just, y'know, raise the MTU? What is
the reason you can't do that?

-Toke